Bug 448235 - Digikam loses some photos during import
Digikam loses some photos during import
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: digikam (Show other bugs)
9
All Linux
high Severity urgent
: ---
: ---
Assigned To: Marcin Garski
Fedora Extras Quality Assurance
http://bugs.kde.org/show_bug.cgi?id=1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-24 16:46 EDT by Jon Burgess
Modified: 2008-07-30 16:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.9.4-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-30 16:12:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to F-8 and F-9 spec files in Fedora CVS (970 bytes, patch)
2008-06-30 03:35 EDT, David Fraser
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 158377 None None None Never

  None (edit)
Description Jon Burgess 2008-05-24 16:46:54 EDT
Description of problem:
After the import completes some of the photos are missing and others have the
wrong filename. This problem is known upstream and fixed in SVN. See linked KDE bug.

Version-Release number of selected component (if applicable):
digikam-0.9.3-2.fc9.x86_64

How reproducible:
I've seen it several times but only just manged to capture proof of it occuring.
When I imported a folder of 114 photos I only got 100 in the destination

Steps to Reproduce:
1. Import 100+ photos
2. Some of them get a red X in the download box
3. Compare input and output directories
  
Actual results:
Some photos are missing. Some have the content of a photo with a different name.

Expected results:
All the original photos imported correctly

Additional info:
Known and fixed upstream in SVN.
Given the nastiness of this bug it would be great if Fedora could provide a new
0.9.3 build with the relevant fix
(http://websvn.kde.org/?view=rev&revision=783150, rev 783151 is the merge to
kde3 branch).

For now I'll just rebuild the beta4 from koji for myself on F9.
Comment 1 David Fraser 2008-06-29 01:22:25 EDT
This should be urgent - it's a DATALOSS bug.

As the author of the upstream patch, I'd applied it locally but then got hit by
it again when I upgraded to Fedora 9.
Comment 2 David Fraser 2008-06-29 01:30:29 EDT
For reference, the upstream bug is http://bugs.kde.org/show_bug.cgi?id=158377
Comment 3 Rex Dieter 2008-06-29 09:36:58 EDT
Agreed.

Personally, I had been hoping for a new upstream releaase soonish, but that may
be too far off.

Marcin, what's your opinion?
Comment 4 David Fraser 2008-06-30 03:35:34 EDT
Created attachment 310565 [details]
Patch to F-8 and F-9 spec files in Fedora CVS

In the hopes that this will be done I've patched the F-8 and F-9 branches of
digikam in Fedora CVS and attached it here; this would just need to be adjusted
by putting the patch into the Fedora system.
Comment 5 Marcin Garski 2008-06-30 12:37:51 EDT
As I look at the digiKam's release plan version 0.9.4 should be available very
soon. I like Rex would also like to wait till new release.

Maybe we could do like this, if 0.9.4 won't appear in Sunday (6th July) I will
apply fix?
Comment 6 Rex Dieter 2008-06-30 12:50:03 EDT
reasonable.
Comment 7 Fedora Update System 2008-07-06 20:02:30 EDT
digikam-0.9.3-5.fc9 has been submitted as an update for Fedora 9
Comment 8 Fedora Update System 2008-07-08 22:41:06 EDT
digikam-0.9.3-5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update digikam'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6175
Comment 9 Fedora Update System 2008-07-17 12:37:04 EDT
libkipi-0.1.6-2.fc9,libkexiv2-0.1.7-1.fc9,libkdcraw-0.1.4-2.fc9,kipi-plugins-0.1.5-2.fc9,kphotoalbum-3.1.1-2.fc9,digikam-0.9.4-1.fc9 has been submitted as an update for Fedora 9
Comment 10 Fedora Update System 2008-07-18 13:52:26 EDT
digikam-0.9.3-2.fc8.1 has been submitted as an update for Fedora 8
Comment 11 Fedora Update System 2008-07-30 16:04:34 EDT
digikam-0.9.3-2.fc8.1 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-07-30 16:12:02 EDT
digikam-0.9.4-2.fc9, libkipi-0.1.6-2.fc9, libkdcraw-0.1.4-2.fc9, kphotoalbum-3.1.1-2.fc9, libkexiv2-0.1.7-1.fc9, kipi-plugins-0.1.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.